<?php if (!defined('PLX_ROOT')) exit; 
# Control du token du formulaire
plxToken::validateFormToken($_POST);

# nombre de membres existants
$nbmembres = floor(sizeof($plxPlugin->getParams())/7);

if(!empty($_POST)) {

# icon = icon	


	# configuration de la page 
	if (!empty($_POST['Titre']) AND !empty($_POST['mnuPos']) AND !empty($_POST['template']) AND !empty($_POST['url']))  {

		#Supprimer les accents de l'URL et passe en minuscules
		$url_page = plxUtils::title2url($_POST['url']);
		
		$plxPlugin->setParam('mnuDisplay', $_POST['mnuDisplay'], 'numeric');
		$plxPlugin->setParam('Titre', $_POST['Titre'], 'cdata');
		$plxPlugin->setParam('texte_haut', $_POST['texte_haut'], 'cdata');
		$plxPlugin->setParam('texte_bas', $_POST['texte_bas'], 'cdata');
		$plxPlugin->setParam('url', $url_page, 'cdata');
		$plxPlugin->setParam('mnuPos', $_POST['mnuPos'], 'numeric');
		$plxPlugin->setParam('template', $_POST['template'], 'string');
		$plxPlugin->setParam('script', $_POST['script'], 'cdata');
		$plxPlugin->setParam('champs1', $_POST['champs1'], 'string');
		$plxPlugin->setParam('champs2', $_POST['champs2'], 'string');
		$plxPlugin->saveParams();
	}


	if (!empty($_POST['nom-new']) AND !empty($_POST['description-new']))  {
        # création d'un nouveau membre
        $newmembre = $nbmembres + 1;
		$plxPlugin->setParam('nom'.$newmembre, plxUtils::strCheck($_POST['nom-new']), 'cdata');
		$plxPlugin->setParam('article'.$newmembre, plxUtils::strCheck($_POST['article-new']), 'cdata');
		$plxPlugin->setParam('description'.$newmembre, plxUtils::strCheck($_POST['description-new']), 'cdata');
		$plxPlugin->setParam('link'.$newmembre, plxUtils::strCheck($_POST['link-new']), 'cdata');
		$plxPlugin->setParam('label1'.$newmembre, plxUtils::strCheck($_POST['label1-new']), 'cdata');
		$plxPlugin->setParam('icon'.$newmembre, plxUtils::strCheck($_POST['icon-new']), 'cdata');
		$plxPlugin->setParam('label2'.$newmembre, plxUtils::strCheck($_POST['label2-new']), 'cdata');
        $plxPlugin->saveParams();
        
	}else{
        
        # Mise à jour des membres existants
        for($i=1; $i<=$nbmembres; $i++) {
            if($_POST['delete'.$i] != "1" AND !empty($_POST['nom'.$i]) AND !empty($_POST['description'.$i])){ // si on ne supprime pas et que les commentaires ne sont pas vide
                
                #mise a jour du auteur et commentaire
                $plxPlugin->setParam('nom'.$i, plxUtils::strCheck($_POST['nom'.$i]), 'cdata');
                $plxPlugin->setParam('article'.$i, plxUtils::strCheck($_POST['article'.$i]), 'cdata');
                $plxPlugin->setParam('description'.$i, plxUtils::strCheck($_POST['description'.$i]), 'cdata');
                $plxPlugin->setParam('link'.$i, plxUtils::strCheck($_POST['link'.$i]), 'cdata');
                $plxPlugin->setParam('label1'.$i, plxUtils::strCheck($_POST['label1'.$i]), 'cdata');
                $plxPlugin->setParam('label2'.$i, plxUtils::strCheck($_POST['label2'.$i]), 'cdata');
                $plxPlugin->setParam('icon'.$i, plxUtils::strCheck($_POST['icon'.$i]), 'cdata');
                $plxPlugin->saveParams();
            
            }elseif($_POST['delete'.$i] == "1"){
                $plxPlugin->setParam('nom'.$i, '', '');
                $plxPlugin->setParam('article'.$i, '', '');
                $plxPlugin->setParam('description'.$i, '', '');
                $plxPlugin->setParam('link'.$i, '', '');
                $plxPlugin->setParam('label1'.$i, '', '');
                $plxPlugin->setParam('label2'.$i, '', '');
                $plxPlugin->setParam('icon'.$i, '', '');
                $plxPlugin->saveParams();
            }
        }
    }
}
	# mise à jour du nombre de membres existants
	$nbmembres = floor(sizeof($plxPlugin->getParams())/2);
	

	$var['mnuDisplay'] =  $plxPlugin->getParam('mnuDisplay')=='' ? 1 : $plxPlugin->getParam('mnuDisplay');
	$var['Titre'] =  $plxPlugin->getParam('Titre')=='' ? 'page' : $plxPlugin->getParam('Titre');
	$var['url'] = $plxPlugin->getParam('url')=='' ? 'page' : $plxPlugin->getParam('url');
	$mnuPos['mnuPos'] =  $plxPlugin->getParam('mnuPos')=='' ? 2 : $plxPlugin->getParam('mnuPos');
	$template = $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
	$label1 = $plxPlugin->getParam('champs1')=='' ? 'Info 1' : $plxPlugin->getParam('champs1');
	$label2 = $plxPlugin->getParam('champs2')=='' ? 'Info 2' : $plxPlugin->getParam('champs2');


	# On récupère les templates des pages statiques
	$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
	if ($array = $files->query('/^static(-[a-z0-9-_]+)?.php$/')) {
		foreach($array as $k=>$v)
			$aTemplates[$v] = $v;
	}
?>	


<p>
	<h2><?php echo $plxPlugin->getInfo("description") ?></h2>
</p>


<style>
	input, textarea {border-radius: 5px;width: 40%}
	input.numeric{width: 100px}
	textarea {min-height: 50px}
	label{font-style: italic}
	td>input{width: 100%}
	.cover{object-fit: cover}
</style>

<?php $script = $plxPlugin->getParam('script'); ?>

	<!-- navigation sur la page configuration du plugin -->
	<nav id="tabby-1" class="tabby-tabs" data-for="example-tab-content">
		<ul>
			<li><a data-target="tab1" class="active" href="#"><?php $plxPlugin->lang('L_NAV_LIEN1') ?></a></li>
			<li><a data-target="tab2" href="#"><?php $plxPlugin->lang('L_NAV_LIEN2') ?></a></li>
			<li><a data-target="tab3" href="#"><?php $plxPlugin->lang('L_NAV_LIEN3') ?></a></li>
		</ul>
	</nav>	
    
    <!-- contenu de la page configuration -->
	<div class="tabby-content" id="example-tab-content">

	<div data-tab="tab1">
		<div class="formulaire">
	        <!-- membres déja créés -->
	        <form action="plugin.php?p=MyProjets" method="post">
	            <fieldset>
	                <table class="full-width">
	                    <thead>
	                        <tr>
	                            <th>N°</th>
	                            <th>Titre</th>
	                            <th>Description</th>
	                            <th>Article</th>
	                            <th>Lien</th>
	                            <th><?php echo $plxPlugin->getParam('champs1'); ?></th>
	                            <th><?php echo $plxPlugin->getParam('champs2'); ?></th>
	                            <th>Icon</th>
	                            <th class="checkbox">Effacer</th>
	                        </tr>
	                    </thead>

	                    <tbody>


	                        <?php for($i=$nbmembres; $i>0; $i--) {?>

	                        <?php $nom = $plxPlugin->getParam(nom.$i);

	                        if(!empty($nom)) { ?>
	                        
	                        <tr class="line-<?php echo $i-1; ?>">
	                            <td class="id">
	                                <?php echo $i-1; ?>
	                            </td>
	                            
	                            <td>
	                                <input type="text"  name="nom<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(nom.$i) ?>" />
	                            </td>
	                            
	                            <td>
	                            	<input type="text"  name="description<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(description.$i) ?>" />
	                            </td>

	                            <td>
	                            	<input type="text"  name="article<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(article.$i) ?>" />
	                            </td>
	                            
	                            <td>
	                                <input type="text" name="link<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(link.$i) ?>" />
	                            </td>

	                            <td>
	                                <input type="text" name="label1<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(label1.$i) ?>" />
	                            </td>

	                            <td>
	                                <input type="text" name="label2<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(label2.$i) ?>" />
	                            </td>

	                            <td>

	                            	<?php $icon = $plxPlugin->getParam(icon.$i);
	                            	
	                            	if (!empty($icon)) {?>


					<a id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('icon<?php echo $i; ?>', true)"><img src="<?php echo  PLX_ROOT.$plxPlugin->getParam(icon.$i) ?>" alt="icon" height="64" width="64" class="cover"></a>
	                            		
	                            	<?php }else{ ?>

	                               <a id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('icon<?php echo $i; ?>', true)"><img src="<?php echo PLX_PLUGINS ?>MyProjets/APP/noicon.png" alt="logo" height="64" width="64" class="cover"></a>
	                            		
	                                <?php } ?>

	                                <input style="display:none" type="text" id="icon<?php echo $i; ?>" name="icon<?php echo $i; ?>" value="<?php echo $plxPlugin->getParam(icon.$i) ?>" />
	                            </td>	
	                            
	                            <td class="checkbox">
	                                <input type="checkbox" name="delete<?= $i; ?>" value="1">
	                            </td>
	                        </tr>
	                            <?php }; ?>

	                                <?php }; ?>

	                    </tbody>

	                </table>
	            </fieldset>

	                    <p class="in-action-bar">
	                        <?php echo plxToken::getTokenPostMethod() ?>
	                        <input class="bt" type="submit" name="submit" value="Mettre à jour" />
	                    </p>
	        </form>
	    </div>
	</div>

	<div data-tab="tab2">


		    <form action="plugin.php?p=MyProjets" method="post">

		        <p>
		            <label for="nom">Titre (Champ obligatoire)</label>
		             <input type="text" name="nom-new" value="" />
		        </p>

		        <p>
		            <label for="article">Lien de l'article (Champ obligatoire)</label>
		             <input type="text" name="article-new" value="" />
		        </p>
		        
		        <p>
		            <label for="description">Description (Champ obligatoire)</label>
		            <input type="text" name="description-new" value="" />
		        </p>
		        
		        <p>
		            <label for="link">Lien du téléchargement (Champ obligatoire)
		            <a id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('link-new', true)">+</a>
		            </label>
		            <input id="link-new" type="text" name="link-new" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("link-new")) ?>" />
		        </p>

		        <p>
		            <label for="label1"><?php echo $label1; ?></label>
		            <input type="text" name="label1-new" value="" />
		        </p>

		        <p>
		            <label for="label2"><?php echo $label2;  ?></label>
		            <input type="text" name="label2-new" value="" />
		        </p>

		        <p>
					<label for="icon">Icon
					<a id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('icon-new', true)">+</a>
					</label>

					<input id="icon-new" name="icon-new"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("icon-new")) ?>">
				</p>                                                                 
		                       
		        <p class="in-action-bar">
		            <?php echo plxToken::getTokenPostMethod() ?>
		            <input class="bt" type="submit" name="submit" value="Sauvegarder" />
		        </p>

		    </form>	

	</div>


	<div data-tab="tab3">

		<form action="plugin.php?p=MyProjets" method="post">

				<p>
					<label for="texte_haut">Texte en haut de page</label>
					<textarea id="texte_haut" rows="5"  name="texte_haut"><?php echo $plxPlugin->getParam('texte_haut'); ?></textarea>
				</p>

				<p>
					<label for="texte_bas">Texte en bas de page</label>
					<textarea id="texte_bas" rows="5"  name="texte_bas"><?php echo $plxPlugin->getParam('texte_bas'); ?></textarea>
				</p>

				<p>
		            <label for="champs1">Titre du champs 1</label>
		             <input type="text" name="champs1" value="<?php echo $plxPlugin->getParam('champs1'); ?>" />
		        </p>
		        
		        <p>
		            <label for="champs2">Titre du champs 2</label>
		             <input type="text" name="champs2" value="<?php echo $plxPlugin->getParam('champs2'); ?>" />
		        </p>

				<p>
					<label for="mnuDisplay">Afficher la page dans la navigation</label>
					<select name="mnuDisplay" id="mnuDisplay">
						<option value="1"  <?php if ($mnuDisplay == '1') { echo'selected';}?> >Oui</option>
						<option value="0" <?php if ($mnuDisplay == '0') { echo'selected';}?> >Non</option>
					</select>

				<p>
					<label for="Titre">Titre de la page</label>
					<input id="Titre" name="Titre" maxlength="255" value="<?php echo $plxPlugin->getParam("Titre"); ?>">
				</p>

				<p>
					<label for="url">URL de la page</label>
					<input id="url" name="url" maxlength="255" value="<?php echo $plxPlugin->getParam("url"); ?>">
				</p>

				<p>
					<label for="mnuPos">Position de la page</label>
					<input id="mnuPos" name="mnuPos"  maxlength="255" value="<?php echo $plxPlugin->getParam("mnuPos"); ?>">
				</p>

				<p>
					<label for="template">Template de votre page</label>
					<?php plxUtils::printSelect('template', $aTemplates, $template) ?>
				</p>

				<p>
					<label for="script">Activer jQuery 2.1.3 ?</label>
					<select name="script" id="script">
					   <option value="true" <?php if ($script == 'true') { echo'selected';}?>>Oui</option>
					   <option value="false" <?php if ($script == 'false') { echo'selected';}?>>Non</option>
					</select>
				</p>


			<p class="in-action-bar">
				<?php echo plxToken::getTokenPostMethod() ?>
				<input type="submit" name="submit" value="<?php $plxPlugin->lang('SUBMIT') ?>" />
			</p>

		</form>
	</div>
	

<script src="http://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="<?php echo PLX_PLUGINS ?>MyProjets/APP/jquery.tabby.js"></script>
<script>
    $(document).ready(function(){
        $('#tabby-1').tabby();
    });
</script>	




